GETDisponible

    Listar leads

    Operación autenticada de la API de BeepCall.

    https://app.beepcall.ai/api/user/leads

    Parámetros

    Authorization*headerBearer tokenClave de API de BeepCall.

    * Obligatorio

    Ejemplo de solicitud

    curl -X GET "https://app.beepcall.ai/api/user/leads" \
      -H "Authorization: Bearer YOUR_API_KEY"

    Respuesta

    json
    {
      "current_page": 1,
      "data": [
        {
          "id": 1,
          "campaign_id": 1,
          "phone_number": "+1234567890",
          "variables": {
            "customer_name": "John Doe",
            "email": "john.doe@example.com"
          },
          "status": "created",
          "fallback_sent_at": null,
          "created_at": "2025-06-30 11:18:04",
          "updated_at": "2025-06-30 11:18:04",
          "campaign": {
            "id": 1,
            "name": "My new campaign",
            "channel": "call"
          },
          "secondary_contacts": [
            {
              "id": 2,
              "phone_number": "+1234567899",
              "variables": {
                "customer_name": "Jane Doe Secondary",
                "email": "jane.doe.secondary@example.com"
              },
              "status": "created",
              "created_at": "2025-06-30 11:18:04",
              "updated_at": "2025-06-30 11:18:04"
            }
          ]
        }
      ],
      "first_page_url": "https://app.beepcall.ai/api/user/leads?page=1",
      "from": 1,
      "last_page": 10,
      "last_page_url": "https://app.beepcall.ai/api/user/leads?page=10",
      "links": [
        {
          "url": null,
          "label": "« Previous",
          "active": false
        },
        {
          "url": "https://app.beepcall.ai/api/user/leads?page=1",
          "label": "1",
          "active": true
        },
        {
          "url": "https://app.beepcall.ai/api/user/leads?page=2",
          "label": "2",
          "active": false
        }
      ],
      "next_page_url": "https://app.beepcall.ai/api/user/leads?page=2",
      "path": "https://app.beepcall.ai/api/user/leads",
      "per_page": 15,
      "prev_page_url": null,
      "to": 15,
      "total": 150
    }

    Errores habituales